dashboards
Create dashboards versions
Requires scopes: reports:write
POST
/
api
/
dashboards
/
{id}
/
versions
Create dashboards versions
curl --request POST \
--url https://evalgate.com/api/dashboards/{id}/versions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"snapshot": {
"layout": {
"columns": 12,
"compact": false
},
"refreshPolicy": {
"mode": "manual",
"intervalSeconds": 123
},
"widgets": [
{
"type": "table",
"name": "<string>",
"refreshPolicy": {
"mode": "manual",
"intervalSeconds": 123
},
"widgetKey": "<string>",
"metricDefinitionId": "<string>",
"position": {
"x": 123,
"y": 123,
"w": 123,
"h": 123
},
"drilldown": {
"target": "evaluation",
"pathTemplate": "<string>",
"preserveFilters": false
},
"visualizationConfig": {}
}
],
"globalFilters": [
{
"operator": "exists",
"field": "<string>",
"value": true
}
]
}
}
'import requests
url = "https://evalgate.com/api/dashboards/{id}/versions"
payload = { "snapshot": {
"layout": {
"columns": 12,
"compact": False
},
"refreshPolicy": {
"mode": "manual",
"intervalSeconds": 123
},
"widgets": [
{
"type": "table",
"name": "<string>",
"refreshPolicy": {
"mode": "manual",
"intervalSeconds": 123
},
"widgetKey": "<string>",
"metricDefinitionId": "<string>",
"position": {
"x": 123,
"y": 123,
"w": 123,
"h": 123
},
"drilldown": {
"target": "evaluation",
"pathTemplate": "<string>",
"preserveFilters": False
},
"visualizationConfig": {}
}
],
"globalFilters": [
{
"operator": "exists",
"field": "<string>",
"value": True
}
]
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
snapshot: {
layout: {columns: 12, compact: false},
refreshPolicy: {mode: 'manual', intervalSeconds: 123},
widgets: [
{
type: 'table',
name: '<string>',
refreshPolicy: {mode: 'manual', intervalSeconds: 123},
widgetKey: '<string>',
metricDefinitionId: '<string>',
position: {x: 123, y: 123, w: 123, h: 123},
drilldown: {target: 'evaluation', pathTemplate: '<string>', preserveFilters: false},
visualizationConfig: {}
}
],
globalFilters: [{operator: 'exists', field: '<string>', value: true}]
}
})
};
fetch('https://evalgate.com/api/dashboards/{id}/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"version": {
"status": "<string>",
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdBy": "<string>",
"version": 123,
"contentHash": "<string>",
"parentVersionId": "<string>",
"dashboardId": "<string>",
"layout": {
"columns": 12,
"compact": true
},
"globalFilters": [
{
"operator": "exists",
"field": "<string>",
"value": true
}
],
"refreshPolicy": {
"mode": "manual",
"intervalSeconds": 123
},
"publishedBy": "<string>",
"publishedAt": "2023-11-07T05:31:56Z"
},
"snapshot": {
"layout": {
"columns": 12,
"compact": true
},
"globalFilters": [
{
"operator": "exists",
"field": "<string>",
"value": true
}
],
"refreshPolicy": {
"mode": "manual",
"intervalSeconds": 123
},
"widgets": [
{
"type": "table",
"name": "<string>",
"refreshPolicy": {
"mode": "manual",
"intervalSeconds": 123
},
"widgetKey": "<string>",
"metricDefinitionId": "<string>",
"visualizationConfig": {},
"position": {
"x": 123,
"y": 123,
"w": 123,
"h": 123
},
"drilldown": {
"target": "evaluation",
"pathTemplate": "<string>",
"preserveFilters": true
}
}
]
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Show child attributes
Show child attributes
⌘I
Create dashboards versions
